Package io.strimzi.systemtest.resources.crd

## Class KafkaTopicResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaTopicResource

-     public class KafkaTopicResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PATH_TO_KAFKA_TOPIC_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaTopicResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.KafkaTopic` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaTopic topic)` |
    `static io.strimzi.api.kafka.model.KafkaTopicBuilder` | `defaultTopic​(String clusterName, String topicName, int partitions, int replicas, int minIsr)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaTopic,​io.strimzi.api.kafka.KafkaTopicList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaTopic>>` | `kafkaTopicClient()` |
    `static void` | `replaceTopicResource​(String resourceName, Consumer<io.strimzi.api.kafka.model.KafkaTopic> editor)` |
    `static io.strimzi.api.kafka.model.KafkaTopicBuilder` | `topic​(String clusterName, String topicName)` |
    `static io.strimzi.api.kafka.model.KafkaTopicBuilder` | `topic​(String clusterName, String topicName, int partitions)` |
    `static io.strimzi.api.kafka.model.KafkaTopicBuilder` | `topic​(String clusterName, String topicName, int partitions, int replicas)` |
    `static io.strimzi.api.kafka.model.KafkaTopicBuilder` | `topic​(String clusterName, String topicName, int partitions, int replicas, int minIsr)` |
    `static io.strimzi.api.kafka.model.KafkaTopic` | `topicWithoutWait​(io.strimzi.api.kafka.model.KafkaTopic kafkaTopic)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH_TO_KAFKA_TOPIC_CONFIG

          public static final String PATH_TO_KAFKA_TOPIC_CONFIG

  - ### Constructor Detail

    - #### KafkaTopicResource

          public KafkaTopicResource()

  - ### Method Detail

    - #### kafkaTopicClient

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaTopic,​io.strimzi.api.kafka.KafkaTopicList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaTopic>> kafkaTopicClient()

    - #### topic

          public static io.strimzi.api.kafka.model.KafkaTopicBuilder topic​(String clusterName,
                                                                           String topicName)

    - #### topic

          public static io.strimzi.api.kafka.model.KafkaTopicBuilder topic​(String clusterName,
                                                                           String topicName,
                                                                           int partitions)

    - #### topic

          public static io.strimzi.api.kafka.model.KafkaTopicBuilder topic​(String clusterName,
                                                                           String topicName,
                                                                           int partitions,
                                                                           int replicas)

    - #### topic

          public static io.strimzi.api.kafka.model.KafkaTopicBuilder topic​(String clusterName,
                                                                           String topicName,
                                                                           int partitions,
                                                                           int replicas,
                                                                           int minIsr)

    - #### defaultTopic

          public static io.strimzi.api.kafka.model.KafkaTopicBuilder defaultTopic​(String clusterName,
                                                                                  String topicName,
                                                                                  int partitions,
                                                                                  int replicas,
                                                                                  int minIsr)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaTopic createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaTopic topic)

    - #### topicWithoutWait

          public static io.strimzi.api.kafka.model.KafkaTopic topicWithoutWait​(io.strimzi.api.kafka.model.KafkaTopic kafkaTopic)

    - #### replaceTopicResource

          public static void replaceTopicResource​(String resourceName,
                                                  Consumer<io.strimzi.api.kafka.model.KafkaTopic> editor)